PTHREAD_SET_NAME_NP(3)

NAME
pthread_set_name_np - set the thread name

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
void
pthread_set_name_np(pthread_t tid, const char *name);

DESCRIPTION
The pthread_set_name_np() function sets internal name for thread specified by tid argument to string value specified by name argument.

ERRORS
Because of the debugging nature of this function, all errors that may appear inside are silently ignored.

AUTHORS
This manual page was written by Alexey Zelkin <phantom@FreeBSD.org>.